﻿/*
 *Copyright(C) 2023 by Chief All rights reserved.
 *Unity版本：2020.3.41f1c1 
 *作者:Chief  
 *创建日期: 2022-11-15 
 *模块说明：
 *版本: 1.0
*/

using Sirenix.OdinInspector;
using System.Collections.Generic;
using UnityEngine;

namespace Lycianthes
{
    /// <summary>
    /// 自定义脚本模板组
    /// </summary>
    [CreateAssetMenu(fileName = "LycianthesTemplateGroup", menuName = "Lycianthes/自定义脚本模板组", order = 1)]
    public class LycianthesTemplateGroup : SerializedScriptableObject
    {

        [Title("预设脚本配置"), HideLabel]
        public Dictionary<string, LycianthesScriptInfo> dictTemplate = new Dictionary<string, LycianthesScriptInfo>();

        public void OnEnable()
        {
            LycianthesScriptCreator.Instance.AddTemlateGroup(this);
#if DEBUG_LYCIANTHES
            Debug.Log($"[Lycianthes] : 添加脚本配置：{this}");
#endif
        }

    }
}